package javaCodeGen;

public class JavaBytes extends JavaDataType {

	@Override
	public String[] getByteArrayRep(String value, int length) {		
		String[] result = value.split("{, }");
		if(result.length !=length){
			result = new String[length];
		}
		return result;
	}

	@Override
	public String getType(int length) {
		return "byte[]";
	}

	@Override
	public void genByteArrayConverstion(String varname) {		
		addL("return " + varname + ";", 2);
	}


}
